import request from "@/utils/request";
// 新增字典数据
export function addDict(data) {
    return request({
        url: '/energy-boot/eleDict/add',
        method: 'post',
        data: data
    })
}


// 获取字典数据集合
export function getList(data) {
    return request({
        url: '/energy-boot/eleDict/getList',
        method: 'post',
        data: data
    })
}


// 删除字典数据
export function deleteDict(id) {
    return request({
        url: '/energy-boot/eleDict/delete',
        method: 'delete',
        params: { id: id }
    })
}

// 修改字典数据
export function updateDict(data) {
    return request({
        url: '/energy-boot/eleDict/update',
        method: 'post',
        data: data
    })
}


export function getListDio(data) {
    return request({
        url: '/energy-boot/eleDict/getListDio',
        method: 'post',
        data: data
    })
}